=== db-db2/Makefile ===
#!/usr/bin/make
##########################################################################
# FILE IDENTIFICATION
#
#  Name:    Makefile
#  Purpose: Makefile for CLSQL Db2 interface
#  Author:  Kevin M. Rosenberg
#  Created: May 2004
#
# This file, part of CLSQL, is Copyright (c) 2004 by Kevin M. Rosenberg
#
# CLSQL users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
##########################################################################


SUBDIRS=

include ../Makefile.common

.PHONY: distclean
distclean: clean
