=== debian/changelog ===
cl-sql (6.4.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 18 Apr 2013 11:21:25 -0600
