=== debian/watch ===
version=3
http://files.b9.com/clsql/clsql-([\d\.]*)\.tar\.gz	debian	uupdate
