## cl-sql 6.5.0

=== db-mysql/Makefile ===
--- 
+++ 
@@ -26,15 +26,19 @@
 .PHONY: all
 all: $(shared_lib)
 
-CFLAGS=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql5/mysql -I /usr/local/mysql/include
-LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib64/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/opt/local/lib/mysql5/mysql -L/usr/local/mysql/lib -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc
+CFLAGS:=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql55/mysql -I /usr/local/mysql/include
+LDFLAGS:=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib64/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/opt/local/lib/mysql5/mysql -L/usr/local/mysql/lib -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lz -lc
 
-CFLAGS32=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql5/mysql -I /usr/local/mysql/include -m32
-LDFLAGS32=-L/lib32 -L/usr/lib32 -melf_i386 -lmysqlclient -lz -lc
+CFLAGS32:=-I /usr/local/include/mysql -I /usr/include/mysql -I /sw/include/mysql -I /opt/local/include/mysql -I /opt/local/include/mysql5/mysql -I /usr/local/mysql/include -m32
+LDFLAGS32:=-L/lib32 -L/usr/lib32 -melf_i386 -lmysqlclient -lz -lc
 
 ifneq ($(OS_CYGWIN),0)
-  CFLAGS=-I /cygdrive/c/Program\ Files/MySQL/MySQL\ Server\ 5.0/include
-  LDFLAGS=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lpthread -lz -lm -lgcc -lc
+  CFLAGS:=-I /cygdrive/c/Program\ Files/MySQL/MySQL\ Server\ 5.0/include
+  LDFLAGS:=-L/usr/local/lib64/mysql -L/usr/local/lib/mysql -L/usr/lib/mysql -L/sw/lib -L/opt/local/lib/mysql -L/usr/lib/gcc/i686-pc-cygwin/3.4.4 -lmysqlclient -lpthread -lz -lm -lgcc -lc
+endif
+ifneq ($(OS_DPKG_BUILDFLAGS),0)
+  CFLAGS:=$(CFLAGS) $(shell dpkg-buildflags --get CFLAGS)
+  LDFLAGS:=$(LDFLAGS) $(shell dpkg-buildflags --get LDFLAGS | sed "/-Wl,\(.*\)/ s//\1/")
 endif
 
 $(shared_lib): $(source) Makefile
@@ -60,7 +64,7 @@
         else
           ifneq ($(OS_LINUX64),0)
 	    gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
-	    ld -shared -soname=$(base) $(object) $(LDFLAGS) -o $(shared64_lib)
+	    ld $(LDFLAGS) -shared -soname=$(base) $(object) -o $(shared64_lib)
 	    rm $(object)
 	    @echo "Ensure that you have multiarch i386 build tools and libraries if you want to build 32-bit library"
 	    -gcc $(CFLAGS32) -fPIC -c $(source) -o $(object)
