=== debian/changelog ===
cl-sql (6.5.0-1ubuntu1) utopic; urgency=medium

  * Changes link process for linux systems to allow the use of standard LDFLAGS (ld -> gcc)

 -- Pierre-André MOREY <pierreandre.morey@canonical.com>  Tue, 15 Jul 2014 16:05:34 +0100

cl-sql (6.5.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 04 Mar 2014 10:10:27 -0700
