=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: cl-sql
 Section: lisp
 Priority: extra
-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
 Build-Depends: dh-lisp, debhelper (>= 7.0.0), libmysqlclient-dev, libpq-dev
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.5.0
 Homepage: http://clsql.b9.com/
 Vcs-Git: git://git.b9.com/clsql.git
 Vcs-Browser: http://git.b9.com/?p=clsql.git
