=== debian/changelog ===
cl-sql (6.6.3-3) unstable; urgency=medium

  * debian/rules: Separate install target to install-indep and
    install-arch (closes:806609)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 10 Dec 2015 12:35:59 -0700

cl-sql (6.6.3-2) unstable; urgency=medium

  * Improve building/linking on non-AMD64 architectures, thanks to
  Edmund Grimley Evans and Dejan Latinovic (closes:798017)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 10 Dec 2015 12:10:32 -0700

cl-sql (6.6.3-1) unstable; urgency=medium

  * New upstream
  * Use gcc for linking (closes:755064)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 29 Aug 2015 18:13:55 -0600

cl-sql (6.6.2-1) unstable; urgency=medium

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 30 Mar 2015 14:46:53 -0600

cl-sql (6.6.1-1) unstable; urgency=medium

  * {uffi,db-mysql}/Makefile: Change build hardening to +all,-pie

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Mar 2015 21:30:11 -0600

cl-sql (6.6.0-1) unstable; urgency=medium

  * New upstream
  * {uffi,db-mysql}/Makefile: Add build hardening

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 26 Feb 2015 15:32:46 -0700
