=== debian/changelog ===
cl-sql (6.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch (Build-)Depends to default-libmysqlclient-dev.  (Closes: #845830)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Jan 2017 00:29:15 +0100

cl-sql (6.7.0-1) unstable; urgency=medium

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 26 Jan 2016 14:40:50 -0700
