## cl-sql 6.7.0.1

=== debian/changelog ===
cl-sql (6.7.0.1-1) unstable; urgency=medium

  * Clean source file package
  * Update Debian compatibility

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 20 Jul 2020 19:53:44 +0000
