=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: cl-sql
 Section: lisp
-Priority: extra
+Priority: optional
 Maintainer: Kevin M. Rosenberg <kmr@debian.org>
 Build-Depends: dh-lisp, debhelper (>= 7.0.0), default-libmysqlclient-dev, libpq-dev
-Standards-Version: 3.9.5.0
+Standards-Version: 4.5.0.2
 Homepage: http://clsql.kpe.io/
 Vcs-Git: git://git.kpe.io/clsql.git
 Vcs-Browser: http://git.kpe.io/?p=clsql.git
