## cl-sql 6.7.1

=== uffi/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 ifneq ($(OS_DPKG_BUILDFLAGS),0)
   CFLAGS:=$(CFLAGS) $(shell dpkg-buildflags --get CFLAGS)
-  LDFLAGS:=$(LDFLAGS) $(shell dpkg-buildflags --get LDFLAGS | sed "/-Wl,\(.*\)/ s//\1/")
+  LDFLAGS:=$(LDFLAGS) $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie dpkg-buildflags --get LDFLAGS | sed "s/-Wl\|,/ /ig")
 endif
 
 
@@ -55,11 +55,11 @@
         else
           ifneq ($(OS_LINUX64),0)
 	    gcc $(CFLAGS) -fPIC -DPIC -c $(source) -o $(object)
-	    ld $(LDFLAGS) -shared -soname=$(base) -lc $(object) -o $(shared64_lib)
+	    gcc $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) -o $(shared64_lib)
 	    rm -f $(object)
 	    @echo "Ensure that you have multiarch i386 build tools if you want to build 32-bit library"
 	    -gcc -m32 $(CFLAGS) -fPIC -DPIC -c $(source) -o $(object)
-	    -ld -melf_i386 $(LDFLAGS) -shared -soname=$(base) -lc $(object) -o $(shared_lib)
+	    -gcc -m32 $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) -o $(shared_lib)
           else
 	    gcc -fPIC -DPIC -c $(source) -o $(object)
 	    ld -shared -soname=$(base) -lc $(object) -o $(shared_lib)
