=== debian/changelog ===
cl-sql (6.7.1-3) unstable; urgency=medium

  * Remove cl-sql-sqlite from cl-sql-tests dependencies (closes: 973358)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 29 Oct 2020 17:35:49 +0000

cl-sql (6.7.1-2) unstable; urgency=medium

  * Remove cl-sql-sqlite binary package (closes: 972124)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 13 Oct 2020 02:51:11 +0000

cl-sql (6.7.1-1) unstable; urgency=medium

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 01 Oct 2020 16:39:41 +0000

cl-sql (6.7.0.1-2) unstable; urgency=medium

  * Source only package upload (closes: 970609)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Sep 2020 20:42:03 +0000
