=== debian/watch ===
version=3
http://files.kpe.io/clsql/clsql-([\d\.]*)\.tar\.gz	debian	uupdate
