## cl-sql 6.7.2

=== db-mysql/Makefile ===
--- 
+++ 
@@ -66,9 +66,9 @@
 	    gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
 	    gcc $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) -o $(shared64_lib)
 	    rm $(object)
-	    @echo "Ensure that you have multiarch i386 build tools and libraries if you want to build 32-bit library"
-	    -gcc $(CFLAGS32) -fPIC -c $(source) -o $(object)
-	    -gcc $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) $(LDFLAGS32) -o $(shared_lib)
+	    #@echo "Ensure that you have multiarch i386 build tools and libraries if you want to build 32-bit library"
+	    #-gcc $(CFLAGS32) -fPIC -c $(source) -o $(object)
+	    #-gcc $(LDFLAGS) -fPIC -shared -Wl,-soname=$(base) -lc $(object) $(LDFLAGS32) -o $(shared_lib)
           else
 	    gcc $(CFLAGS) -fPIC -c $(source) -o $(object)
 	    gcc -fPIC -shared -Wl,-soname=$(base)  $(object) $(LDFLAGS) -o $(shared_lib)
