=== debian/changelog ===
cl-sql (6.7.2-1.1build1) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:44:13 -0500

cl-sql (6.7.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1027261)

 -- Paul Gevers <elbrus@debian.org>  Thu, 29 Dec 2022 08:07:41 +0100

cl-sql (6.7.2-1) unstable; urgency=medium

  * LICENSE: CLSQL is now licensed under MIT license

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 29 Oct 2022 04:30:27 +0000
